Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class PortalDefinition

    java.lang.Object
      com.bea.netuix.application.definition.PortalDefinition

All Implemented Interfaces
  CategoryDefinition, DateableDefinition, Serializable

    public class PortalDefinition

extends Object
implements DateableDefinition, CategoryDefinition

A `PortalDefinition` is an aggregator of `DesktopDefinition`s.

See Also
  `DesktopDefinition`, Serialized Form

Constructor Summary
`PortalDefinition(String webAppName, PortalPath portalPath, LocalizationResource lr, String contentUri)` Constructor to create a new `PortalDefinition` object.

Method Summary
`static PortalDefinition` | `clone(LocalizationResource localizationResource, PortalDefinition portalDefinition)` Clones the given `PortalDefinition`.
`boolean` | `equals(Object o)`
`String` | `getContentUri()` Returns the contentUri for this PortalDefinition
`Date` | `getCreatedDate()` Gets the time that this object was created in the database.
`LocalizationResource` | `getLocalizationResource()` Returns the `LocalizationResource` associated with this `CategoryDefinition`.
`Date` | `getModifiedDate()` Gets the time that this object was last updated in the database.
`PortalPath` | `getPortalPath()` Returns the `PortalPath` for this portal.
`String` | `getWebAppName()` Returns the name of the J2EE web application this portal is scoped to.
`int` | `hashCode()`
`static String` | `hasRequiredFields(PortalDefinition portalDefinition)` Checks that the given `PortalDefinition` has fields that are required of a `PortalDefinition`.
`boolean` | `isRoot()` Determines if the category is a root category.
`void` | `setCreatedDate(Date createdDate)`
`void` | `setLocalizationResource(LocalizationResource localizationResource)` Sets `LocalizationResource` for this `CategoryDefinition`.
`void` | `setModifiedDate(Date modifiedDate)`
`String` | `toString()`
`static PortalDefinition` | `update(PortalDefinition existingDefinition, PortalDefinition newDefinition)` Updates an existing portal with a new `PortalDefinition`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalDefinition

    public PortalDefinition(String webAppName,
                            PortalPath portalPath,
                            LocalizationResource lr,
                            String contentUri)

  Constructor to create a new `PortalDefinition` object.

  Parameters
    `webAppName` - name of the J2EE web application this portal is scoped to
    `portalPath` - the `PortalPath` for this portal. The portal path is the unique name of the portal and is used to access the portal by being suffixed tothe web application url
    `lr` - localized title and description
    `contentUri` - the uri of content to display when a request is received for this portal
  See Also
    `PortalPath`

Method Detail

### getWebAppName

    public String getWebAppName()

  Returns the name of the J2EE web application this portal is scoped to.

  Returns
    name of web application

### getPortalPath

    public PortalPath getPortalPath()

  Returns the `PortalPath` for this portal.

  Returns
    `PortalPath`

### getContentUri

    public String getContentUri()

  Returns the contentUri for this PortalDefinition

  Returns
    contentUri

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

  Returns the `LocalizationResource` associated with this `CategoryDefinition`.

  Specified by:
    `getLocalizationResource` in interface `CategoryDefinition`
  Returns
    LocalizationResource

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

  Sets `LocalizationResource` for this `CategoryDefinition`.

  Specified by:
    `setLocalizationResource` in interface `CategoryDefinition`
  Parameters
    `localizationResource` -

### isRoot

    public boolean isRoot()

  Determines if the category is a root category.

  Specified by:
    `isRoot` in interface `CategoryDefinition`
  Returns
    `true` if this category is the root

### hasRequiredFields

    public static String hasRequiredFields(PortalDefinition portalDefinition)

  Checks that the given `PortalDefinition` has fields that are required of a `PortalDefinition`. Returns an error string if any of the required fields is missing null if everything is correct.

  Parameters
    `portalDefinition` -
  Returns
    error string if any fields are missing, null otherwise

### update

    public static PortalDefinition update(PortalDefinition existingDefinition,
                                          PortalDefinition newDefinition)

  Updates an existing portal with a new `PortalDefinition`.

  Parameters
    `existingDefinition` - existing `PortalDefinition`
    `newDefinition` - new `PortalDefinition`
  Returns
    updated `PortalDefinition`

### clone

    public static PortalDefinition clone(LocalizationResource localizationResource,
                                         PortalDefinition portalDefinition)

  Clones the given `PortalDefinition`.

  Parameters
    `localizationResource` - localized title and description
    `portalDefinition` - portal to be cloned
  Returns
    cloned `PortalDefinition`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getCreatedDate

    public Date getCreatedDate()

  Gets the time that this object was created in the database.

  Specified by:
    `getCreatedDate` in interface `DateableDefinition`

### getModifiedDate

    public Date getModifiedDate()

  Gets the time that this object was last updated in the database. This value only applies to this immediate object and not its children.

  Specified by:
    `getModifiedDate` in interface `DateableDefinition`

### setCreatedDate

    public void setCreatedDate(Date createdDate)

### setModifiedDate

    public void setModifiedDate(Date modifiedDate)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.